%define name freeimage
%define version 3.153
%define release %mkrel 1
%define oname FreeImage
%define oversion 3.15.3
%define common_summary Image library
%define common_description FreeImage is an Open Source library project for developers who would\
like to support popular graphics image formats like PNG, BMP, JPEG,\
TIFF and others as needed by today's multimedia applications.\
FreeImage is easy to use, fast, multithreading safe, compatible with\
all 32-bit versions of Windows, and cross-platform (works both with\
Linux and Mac OS X).

%define major 3
%define lib_name %mklibname %{name} %{major}
%define devel_name %mklibname %{name} -d

Summary: %{common_summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://downloads.sourceforge.net/freeimage/FreeImage3153.zip
Patch0:	FreeImage-3.11.0-syslibs.patch
License: GPLv2+
Group: System/Libraries
URL: http://freeimage.sourceforge.net/
%if 0
BuildRequires:	png-devel
BuildRequires:	mng-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	openjpeg-devel
%endif
Obsoletes: %{oname}

%description
%{common_description}

%package -n	%{lib_name}
Summary:	A library to %{common_summary}
Group:		System/Libraries
Obsoletes:	%{_lib}%{oname}3 < %{version}-%{release}
Provides:	%{_lib}%{oname}3 = %{version}-%{release}

%description -n	%{lib_name}
%{common_description}

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{devel_name}
Summary:	Development tools for programs using %{name}
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	lib%{name}3-devel < %{version}-%{release}
Obsoletes:	lib%{oname}3-devel < %{version}-%{release}
Obsoletes:	%{_lib}%{oname}3-devel < %{version}-%{release}
Provides:	%{_lib}%{oname}3-devel = %{version}-%{release}


%description -n	%{devel_name}
%{common_description}

This package contains the header files and libraries needed for
developing programs using the %{name} library.

%prep
rm -fr %{buildroot}
%setup -q -n %{oname}
%if 0
%patch0 -p1 -b .syslibs

touch -r Source/FreeImage.h.syslibs Source/FreeImage.h

# remove all included libs to make sure these don't get used during compile
rm -r Source/Lib* Source/ZLib Source/OpenEXR

# some encoding / line ending cleanups
iconv -f ISO-8859-1 -t UTF-8 Whatsnew.txt > Whatsnew.txt.tmp
touch -r Whatsnew.txt Whatsnew.txt.tmp
mv Whatsnew.txt.tmp Whatsnew.txt
%endif
sed -i 's/\r//g' Whatsnew.txt license-*.txt gensrclist.sh \
  Wrapper/FreeImagePlus/WhatsNew_FIP.txt

perl -pi -e 's/ -o root -g root//' Makefile.gnu
perl -pi -e 's/\bldconfig//' Makefile.gnu

%build
sh ./gensrclist.sh
%setup_compile_flags
%make LIBRARIES="-lstdc++ -lm"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_includedir} %{buildroot}%{_libdir}

%make install \
  INCDIR=%{buildroot}%{_includedir} \
  INSTALLDIR=%{buildroot}%{_libdir}


%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(-,root,root)
%doc Whatsnew.txt license-*.txt Wrapper/FreeImagePlus/WhatsNew_FIP.txt README.linux
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}-%{oversion}.so

%files -n %{devel_name}
%defattr(-,root,root)
%{_includedir}/%{oname}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}.a


%changelog
* Tue Oct 01 2013 billybot <billybot> 3.153-1pclos2013
- update

* Sun Nov 04 2012 gseaman <galen.seaman at comcast.net> 3.93-4gseaman2012
- update 3.93-4 (different spec file in 32-bit repo)

* Fri Nov 11 2011 Texstar <texstar at gmail.com> 3.151-2pclos2011
- tweak the specfile for libFreeImage3

* Thu Oct 06 2011 Texstar <texstar at gmail.com> 3.151-1pclos2011
- 3.151
